Downgrading Xcode to v12.4 and Below
How to downgrade Xcode to version 12.4 and below.
If you've noticed you cannot record or execute tests on simulators on your Mac, the issue may be caused by the version of Xcode you're using.
If you're using Xcode version 12.5 or above, you'll need to downgrade your Xcode version to 12.4 or below and set it as the active Xcode of your system.
To start you'll need to either:
  1. 1.
    Remove the currently installed Xcode from your system.
  2. 2.
    Rename the Xcode.app in your finder to something else, like Xcode-12.5.app.
Then you'll need to head into the official Apple site, and download then install your choice of Xcode:
Apple Download Center.
After downloading an installing this version of Xcode, you'll need to set it as the active one on your system.
To do so, you can run the following command in your terminal:
1
sudo xcode-select --switch path/to/Xcode.app
Copied!
You can find more details on how to set your active Xcode developer directory in the help article located here.
Note, you will need to set the path to the correct path of the newly installed Xcode.
Last modified 6mo ago
Copy link